Parsing
Parse File
Get Parse Job
List Parse Jobs
ModelsExpand Collapse
BBox { h, w, x, 5 more }
Bounding box with coordinates and optional metadata.
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
CodeItem { md, value, bbox, 2 more }
md: string
Markdown representation preserving formatting
value: string
Code content
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
language?: string | null
Programming language identifier
type?: "code"
Code block item type
FailPageMode = "raw_text" | "blank_page" | "error_message"
Enum for representing the different available page error handling modes.
FooterItem { items, md, bbox, type }
items: Array<TextItem { md, value, bbox, type } | HeadingItem { level, md, value, 2 more } | ListItem { items, md, ordered, 2 more } | 4 more>
List of items within the footer
TextItem { md, value, bbox, type }
md: string
Markdown representation preserving formatting
value: string
Text content
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "text"
Text item type
HeadingItem { level, md, value, 2 more }
level: number
Heading level (1-6)
md: string
Markdown representation preserving formatting
value: string
Heading text content
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "heading"
Heading item type
ListItem { items, md, ordered, 2 more }
List of nested text or list items
TextItem { md, value, bbox, type }
md: string
Markdown representation preserving formatting
value: string
Text content
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "text"
Text item type
md: string
Markdown representation preserving formatting
ordered: boolean
Whether the list is ordered or unordered
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "list"
List item type
CodeItem { md, value, bbox, 2 more }
md: string
Markdown representation preserving formatting
value: string
Code content
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
language?: string | null
Programming language identifier
type?: "code"
Code block item type
TableItem { csv, html, md, 6 more }
csv: string
CSV representation of the table
html: string
HTML representation of the table
md: string
Markdown representation preserving formatting
rows: Array<Array<string | number | null>>
Table data as array of arrays (string, number, or null)
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
merged_from_pages?: Array<number> | null
List of page numbers with tables that were merged into this table (e.g., [1, 2, 3, 4])
merged_into_page?: number | null
Populated when merged into another table. Page number where the full merged table begins (used on empty tables).
parse_concerns?: Array<ParseConcern> | null
Quality concerns detected during table extraction, indicating the table may have issues
details: string
Human-readable details about the concern
type: string
Type of parse concern (e.g. header_value_type_mismatch, inconsistent_row_cell_count)
type?: "table"
Table item type
ImageItem { caption, md, url, 2 more }
caption: string
Image caption
md: string
Markdown representation preserving formatting
url: string
URL to the image
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "image"
Image item type
LinkItem { md, text, url, 2 more }
md: string
Markdown representation preserving formatting
text: string
Display text of the link
url: string
URL of the link
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "link"
Link item type
md: string
Markdown representation preserving formatting
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "footer"
Page footer container
HeaderItem { items, md, bbox, type }
items: Array<TextItem { md, value, bbox, type } | HeadingItem { level, md, value, 2 more } | ListItem { items, md, ordered, 2 more } | 4 more>
List of items within the header
TextItem { md, value, bbox, type }
md: string
Markdown representation preserving formatting
value: string
Text content
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "text"
Text item type
HeadingItem { level, md, value, 2 more }
level: number
Heading level (1-6)
md: string
Markdown representation preserving formatting
value: string
Heading text content
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "heading"
Heading item type
ListItem { items, md, ordered, 2 more }
List of nested text or list items
TextItem { md, value, bbox, type }
md: string
Markdown representation preserving formatting
value: string
Text content
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "text"
Text item type
md: string
Markdown representation preserving formatting
ordered: boolean
Whether the list is ordered or unordered
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "list"
List item type
CodeItem { md, value, bbox, 2 more }
md: string
Markdown representation preserving formatting
value: string
Code content
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
language?: string | null
Programming language identifier
type?: "code"
Code block item type
TableItem { csv, html, md, 6 more }
csv: string
CSV representation of the table
html: string
HTML representation of the table
md: string
Markdown representation preserving formatting
rows: Array<Array<string | number | null>>
Table data as array of arrays (string, number, or null)
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
merged_from_pages?: Array<number> | null
List of page numbers with tables that were merged into this table (e.g., [1, 2, 3, 4])
merged_into_page?: number | null
Populated when merged into another table. Page number where the full merged table begins (used on empty tables).
parse_concerns?: Array<ParseConcern> | null
Quality concerns detected during table extraction, indicating the table may have issues
details: string
Human-readable details about the concern
type: string
Type of parse concern (e.g. header_value_type_mismatch, inconsistent_row_cell_count)
type?: "table"
Table item type
ImageItem { caption, md, url, 2 more }
caption: string
Image caption
md: string
Markdown representation preserving formatting
url: string
URL to the image
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "image"
Image item type
LinkItem { md, text, url, 2 more }
md: string
Markdown representation preserving formatting
text: string
Display text of the link
url: string
URL of the link
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "link"
Link item type
md: string
Markdown representation preserving formatting
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "header"
Page header container
HeadingItem { level, md, value, 2 more }
level: number
Heading level (1-6)
md: string
Markdown representation preserving formatting
value: string
Heading text content
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "heading"
Heading item type
ImageItem { caption, md, url, 2 more }
caption: string
Image caption
md: string
Markdown representation preserving formatting
url: string
URL to the image
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "image"
Image item type
LinkItem { md, text, url, 2 more }
md: string
Markdown representation preserving formatting
text: string
Display text of the link
url: string
URL of the link
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "link"
Link item type
ListItem { items, md, ordered, 2 more }
List of nested text or list items
TextItem { md, value, bbox, type }
md: string
Markdown representation preserving formatting
value: string
Text content
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "text"
Text item type
md: string
Markdown representation preserving formatting
ordered: boolean
Whether the list is ordered or unordered
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "list"
List item type
LlamaParseSupportedFileExtensions = ".pdf" | ".abw" | ".awt" | 141 more
Enum for supported file extensions.
ParsingJob { id, status, error_code, error_message }
Response schema for a parsing job.
Enum for representing the status of a job
ParsingLanguages = "af" | "az" | "bs" | 83 more
Enum for representing the languages supported by the parser.
ParsingMode = "parse_page_without_llm" | "parse_page_with_llm" | "parse_page_with_lvm" | 5 more
Enum for representing the mode of parsing to be used.
StatusEnum = "PENDING" | "SUCCESS" | "ERROR" | 2 more
Enum for representing the status of a job
TableItem { csv, html, md, 6 more }
csv: string
CSV representation of the table
html: string
HTML representation of the table
md: string
Markdown representation preserving formatting
rows: Array<Array<string | number | null>>
Table data as array of arrays (string, number, or null)
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
merged_from_pages?: Array<number> | null
List of page numbers with tables that were merged into this table (e.g., [1, 2, 3, 4])
merged_into_page?: number | null
Populated when merged into another table. Page number where the full merged table begins (used on empty tables).
parse_concerns?: Array<ParseConcern> | null
Quality concerns detected during table extraction, indicating the table may have issues
details: string
Human-readable details about the concern
type: string
Type of parse concern (e.g. header_value_type_mismatch, inconsistent_row_cell_count)
type?: "table"
Table item type
TextItem { md, value, bbox, type }
md: string
Markdown representation preserving formatting
value: string
Text content
List of bounding boxes
h: number
Height of the bounding box
w: number
Width of the bounding box
x: number
X coordinate of the bounding box
y: number
Y coordinate of the bounding box
confidence?: number | null
Confidence score
end_index?: number | null
End index in the text
label?: string | null
Label for the bounding box
start_index?: number | null
Start index in the text
type?: "text"
Text item type